﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals

End Sub

Sub Globals
	Dim series1, series2 As graphseries
	Dim multiplegraphview As graphview
	Dim xymultiplegraph As XYGraph
	Dim data1(100) As Double
	Dim data2(100) As Double 
	Dim sinewave As Double
	Dim cosinewave As Double 
	Dim view1 As View 
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	'Activity.LoadLayout("Layout1")
	
	For i = 0 To data1.Length - 1
	sinewave = sinewave + 0.2
	data1(i) = Sin(sinewave)
	Next
	
	For i = 0 To data2.Length - 1
	cosinewave = cosinewave + 0.2
	data2(i) = Cos(cosinewave)
	Next
	
	series1.Initialize("Sine Curve Series1", Colors.Red, data1, 3)
	series2.Initialize("Cosine Curve Series2", Colors.Blue, data2, 3)
	multiplegraphview.InitializeMultipleGraph("line", series1, series2, Null)
	view1 = xymultiplegraph.PlotMultipleLines("Multiple Line Graph", multiplegraphview, series1, series2, Null)
	xymultiplegraph.setScrollabe(multiplegraphview, True)
	xymultiplegraph.setViewPort(multiplegraphview, 1, 99)
	xymultiplegraph.Legend(multiplegraphview, True)
	xymultiplegraph.setLegendAlign(multiplegraphview, "bottom")
	xymultiplegraph.setLegendWidth(multiplegraphview, 300)
	Activity.AddView(view1, 0, 0, 100%x, 100%y)
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


